V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
NGPONG
V2EX  ›  Bash

求一个 wsl2 ubuntu20.04 的默认 /etc/bash.bashrc

  •  
  •   NGPONG · 307 天前 · 700 次点击
    这是一个创建于 307 天前的主题,其中的信息可能已经有所发展或是发生改变。

    RT,给改坏了

    8 条回复    2021-09-02 08:30:33 +08:00
    Presbyter
        1
    Presbyter  
       307 天前   ❤️ 1
    # System-wide .bashrc file for interactive bash(1) shells.

    # To enable the settings / commands in this file for login shells as well,
    # this file has to be sourced in /etc/profile.

    # If not running interactively, don't do anything
    [ -z "$PS1" ] && return

    # check the window size after each command and, if necessary,
    # update the values of LINES and COLUMNS.
    shopt -s checkwinsize

    # set variable identifying the chroot you work in (used in the prompt below)
    if [ -z "${debian_chroot:-}" ] && [ -r /etc/debian_chroot ]; then
    debian_chroot=$(cat /etc/debian_chroot)
    fi

    # set a fancy prompt (non-color, overwrite the one in /etc/profile)
    # but only if not SUDOing and have SUDO_PS1 set; then assume smart user.
    if ! [ -n "${SUDO_USER}" -a -n "${SUDO_PS1}" ]; then
    PS1='${debian_chroot:+($debian_chroot)}\[email protected]\h:\w\$ '
    fi

    # Commented out, don't overwrite xterm -T "title" -n "icontitle" by default.
    # If this is an xterm set the title to [email protected]:dir
    #case "$TERM" in
    #xterm*|rxvt*)
    # PROMPT_COMMAND='echo -ne "\033]0;${USER}@${HOSTNAME}: ${PWD}\007"'
    # ;;
    #*)
    # ;;
    #esac

    # enable bash completion in interactive shells
    #if ! shopt -oq posix; then
    # if [ -f /usr/share/bash-completion/bash_completion ]; then
    # . /usr/share/bash-completion/bash_completion
    # elif [ -f /etc/bash_completion ]; then
    # . /etc/bash_completion
    # fi
    #fi

    # sudo hint
    if [ ! -e "$HOME/.sudo_as_admin_successful" ] && [ ! -e "$HOME/.hushlogin" ] ; then
    case " $(groups) " in *\ admin\ *|*\ sudo\ *)
    if [ -x /usr/bin/sudo ]; then
    cat <<-EOF
    To run a command as administrator (user "root"), use "sudo <command>".
    See "man sudo_root" for details.

    EOF
    fi
    esac
    fi

    # if the command-not-found package is installed, use it
    if [ -x /usr/lib/command-not-found -o -x /usr/share/command-not-found/command-not-found ]; then
    function command_not_found_handle {
    # check because c-n-f could've been removed in the meantime
    if [ -x /usr/lib/command-not-found ]; then
    /usr/lib/command-not-found -- "$1"
    return $?
    elif [ -x /usr/share/command-not-found/command-not-found ]; then
    /usr/share/command-not-found/command-not-found -- "$1"
    return $?
    else
    printf "%s: command not found\n" "$1" >&2
    return 127
    fi
    }
    fi
    kingboy9525
        2
    kingboy9525  
       307 天前   ❤️ 1
    ```
    # System-wide .bashrc file for interactive bash(1) shells.

    # To enable the settings / commands in this file for login shells as well,
    # this file has to be sourced in /etc/profile.

    # If not running interactively, don't do anything
    [ -z "$PS1" ] && return

    # check the window size after each command and, if necessary,
    # update the values of LINES and COLUMNS.
    shopt -s checkwinsize

    # set variable identifying the chroot you work in (used in the prompt below)
    if [ -z "${debian_chroot:-}" ] && [ -r /etc/debian_chroot ]; then
    debian_chroot=$(cat /etc/debian_chroot)
    fi

    # set a fancy prompt (non-color, overwrite the one in /etc/profile)
    # but only if not SUDOing and have SUDO_PS1 set; then assume smart user.
    if ! [ -n "${SUDO_USER}" -a -n "${SUDO_PS1}" ]; then
    PS1='${debian_chroot:+($debian_chroot)}\[email protected]\h:\w\$ '
    fi

    # Commented out, don't overwrite xterm -T "title" -n "icontitle" by default.
    # If this is an xterm set the title to [email protected]:dir
    #case "$TERM" in
    #xterm*|rxvt*)
    # PROMPT_COMMAND='echo -ne "\033]0;${USER}@${HOSTNAME}: ${PWD}\007"'
    # ;;
    #*)
    # ;;
    #esac

    # enable bash completion in interactive shells
    #if ! shopt -oq posix; then
    # if [ -f /usr/share/bash-completion/bash_completion ]; then
    # . /usr/share/bash-completion/bash_completion
    # elif [ -f /etc/bash_completion ]; then
    # . /etc/bash_completion
    # fi
    #fi

    # sudo hint
    if [ ! -e "$HOME/.sudo_as_admin_successful" ] && [ ! -e "$HOME/.hushlogin" ] ; then
    case " $(groups) " in *\ admin\ *|*\ sudo\ *)
    if [ -x /usr/bin/sudo ]; then
    cat <<-EOF
    To run a command as administrator (user "root"), use "sudo <command>".
    See "man sudo_root" for details.

    EOF
    fi
    esac
    fi

    # if the command-not-found package is installed, use it
    if [ -x /usr/lib/command-not-found -o -x /usr/share/command-not-found/command-not-found ]; then
    function command_not_found_handle {
    # check because c-n-f could've been removed in the meantime
    if [ -x /usr/lib/command-not-found ]; then
    /usr/lib/command-not-found -- "$1"
    return $?
    elif [ -x /usr/share/command-not-found/command-not-found ]; then
    /usr/share/command-not-found/command-not-found -- "$1"
    return $?
    else
    printf "%s: command not found\n" "$1" >&2
    return 127
    fi
    }
    fi

    ```
    AoEiuV020
        3
    AoEiuV020  
       307 天前   ❤️ 1
    贴 v 站缩进会有问题,
    https://netcut.cn/p/8a0187b68a228509
    NGPONG
        4
    NGPONG  
    OP
       307 天前
    @Presbyter 这个是 20.04 吗,我印象中的配置要多一点
    NGPONG
        5
    NGPONG  
    OP
       307 天前
    你们给的是.... 20.04 的吗?我咋印象中的配置会多一点
    Itoktsnhc
        6
    Itoktsnhc  
       307 天前   ❤️ 1
    12101111
        7
    12101111  
       307 天前   ❤️ 1
    https://packages.ubuntu.com/focal/bash 可以下载到该文件
    chrisyunhua
        8
    chrisyunhua  
       306 天前 via Android
    /etc/skel/.bashrc
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   4297 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 30ms · UTC 05:57 · PVG 13:57 · LAX 22:57 · JFK 01:57
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.